Public Member Functions
CICEAttributeDataArray< bool > Class Template Reference

## Detailed Description

### template<>
class XSI::CICEAttributeDataArray< bool >

This class is a specialization of a CICEAttributeDataArray class of type `bool`.

See also:
  CICEAttributeDataArray2D, ICEAttribute, CICEAttributeDataArrayBool typedef

Since:
  7.0

`#include <xsi_iceattributedataarray.h>`

Inheritance diagram for CICEAttributeDataArray< bool >:
[legend]

List of all members.

## Public Member Functions
| CICEAttributeDataArray ()
| ~CICEAttributeDataArray ()
const bool | operator[] (ULONG in_index) const
CStatus | SetData (ULONG in_index, bool in_bVal)
CStatus | SetArray (const bool *in_pArray, ULONG in_count)

## Constructor & Destructor Documentation

CICEAttributeDataArray | ( |  | ) | `[inline]`

Constructor.

~CICEAttributeDataArray | ( |  | ) | `[inline]`

Destructor.

## Member Function Documentation

const bool operator[] | ( | ULONG | in_index | ) | const

Accessor to the bool array. This operator is called when reading the data so the return value is read-only.

Parameters:

  in_index | Index in the array. The index must be smaller than the number of elements in the array, otherwise the results are unpredictable.

Returns:
  A read-only value to the indexed item.

CStatus SetData | ( | ULONG | in_index,
|  | bool | in_bVal
| ) |  |

Accessor to the bool array for writing to the data array.

Parameters:

  in_index | Index in the array. The index must be smaller than the number of elements in the array, otherwise the results are unpredictable.

Returns:
  CStatus::OK Success.
  CStatus::InvalidArgument Index out of range.
  CStatus::AccessDenied Array is read-only.

Since:
  11.0 (2013)

CStatus SetArray | ( | const bool * | in_pArray,
|  | ULONG | in_count
| ) |  |

Set the values in the array

Parameters:

  in_pArray | Input data array.
  in_count | Number of elements in the input array

Returns:
  CStatus::OK Success.
  CStatus::Fail Operation failed.

Since:
  12.0 (2014)

The documentation for this class was generated from the following file:

- xsi_iceattributedataarray.h